*
{
	margin:0;                     /* Pour enlever les marges du navigateur */
	padding:0;
    box-sizing: border-box;       /* Inclut les bordures et les rembourrages dans la largeur et la hauteur spécifiées */
}

a
{                                 /* Balise pour les liens */
    text-decoration: none;        /* Permet d'enlever le soulignement des liens */
}

body
{
    background-color: #F7F7F7;
    font-family: sans-serif;
}

::-webkit-scrollbar                /* Scroll-bar plus jolie */
{
    width: 8px;
}

::-webkit-scrollbar-thumb
{
    background-color: #4f4f4f;
    border-radius: 30px;
}

section                              /* Pour les sections dont la hauteur n'est pas calculée (donc pas pour les 2 blocs publicitaires */
{
    padding: 40px 5%;
}

/*-----------------------------------------------------------Header----------------------------------------------------- */
header
{
    display: flex;
    align-items: center;
    justify-content: space-between; /* Même espace entre les éléments de la barre du menu*/
    padding: 10px 5%;               /* Haut et bas = 10px / Gauche et droite 5% entre les éléments de la longueur */ 
}

header .logoBBF
{
    display: flex;
    align-items: center;
}

header .logoBBF img
{
    width: 80px;
    height: 90px;
}

header .logoBBF h1
{
    font-size: 30px;
    color: #BB2332;
}

/*----------------------------------------------------------MENU---------------------------------------------------------*/
.menu
{
    display: flex;                 /* Aligner les éléments sur l'axe principal */
}

.menu li
{
    margin-left: 50px;             /* Espace entre les éléments de la liste */
    position: relative;
    list-style: none;
    display: flex;                 /* Sert pour le petit rond lorsque l'on passe sur une rubrique */
    align-items: center;           /* Aligne la rubrique au centre même quand elle grossit */
    justify-content: center;       /* Centre le rond au centre de la rubrique survolée */
}

.menu li a
{
    color: #1B3E76;
    transition: 0.5s;              /* Durée de transition entre les deux couleurs */
}

.menu li a:hover                  
{
    color: #BB2332;              /* Changement de couleur et de taille de la police lors du survole d'une rubrique */
    font-size: 22px;
}

.menu li:hover::after              /* Apparition d'un cercle apès le survole d'une rubrique */
{
    content: "";                   /* Permet de définir un pseudo-élément sans texte */
    position: absolute;            /* Position par rapport aux rubriques */
    height: 50px;
    z-index: -1;                   /* Mettre les cercles en arrière plan du texte */
    width: 50px;
    background-color: #f1f7ff;   /* Couleur des cercles */
    border-radius: 50%;            /* Pour avoir un cercle */
}

.button-link-connexion             /* Bouton pour se connecter à l'espace client */
{
    border: 0;                    
    background: transparent;
}

.button-link-connexion a
{
    font-size: 18px;
    color: black;
    padding: 10px 25px;
    background: linear-gradient(#BB2332, #a14951);
    border-radius: 60px;
    text-transform: uppercase;
}


/*---------------------------------------------------Blocs publicitaires------------------------------------------------ */

.publicite1
{
    padding: 0 5%;
    margin: 50px 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 565px;                   /* Hauteur de la publicité */
}

/* Texte pour la remise de 80€ */
.publicite1 .partie-texte1
{
    width: 55%;
}

.publicite1 .partie-texte1 h1        /* Titre */
{
    font-size: 60px;
    color:#1B3E76;
    padding: 0;
}

.publicite1 .partie-texte1 h4        /* Sous-titre */
{
    font-size: 20px;
    margin-top: 10px;
    color:#1B3E76;
}

.publicite1 .partie-texte1 h4 span
{
    font-size: 80px;                 /* Pour le 80€ */
    color:#BB2332;
}

.publicite1 .partie-texte1 p          /* Paragraphe */
{
    font-size: 14px;
    color:#1B3E76;
    margin-top: 5px;
}

.publicite2                           /* Obligatoire pour le mobile responsive */
{
    padding: 0 5%;
    margin: 50px 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 565px;     
}

/* Texte montrant les différentes cartes bancaires */
.publicite2 .partie-texte2
{
    width: 55%;
}

.publicite2 .partie-texte2 h1
{
    font-size: 60px;
    color:#1B3E76;
    padding: 0;
}

.publicite2 .partie-texte2 h4
{
    font-size: 20px;
    margin-top: 10px;
    color:#1B3E76;
}

.publicite2 .partie-texte2 h4 span
{
    color:#BB2332;                 /* Nom des différentes cartes */
}

.publicite2 .partie-texte2 p
{
    font-size: 14px;
    color:#1B3E76;
    margin-top: 5px;
    margin-left: 14px ;
}

.publicite2 li
{
    color:#BB2332;                 /* La couleur par défaut des points est noir */
    margin-left: 14px;               /* Permet de décaler les points pour respecter l'alignement */
}

.publicite2 .partie-texte2 .carte     /* Image mastercard */
{
    display: flex;
    align-items: center;             /* Aligne verticalement l'image au texte */
}

.publicite2 .partie-texte2 .carte img
{
    width: 20%;
    height: 20%;
}

.publicite2 .partie-texte2 .information
{
    font-size: 14px;
    text-align: right;               /* En savoir plus sur la carte à droite */
}

.publicite2 .partie-texte2 .information a
{
    color: #BB2332;
}


.button-link                       /* Bouton d'inscription */
{
    margin-top: 35px;
    border: 0;
    background: transparent;
}

.button-link a
{
    font-size: 18px;
    color: black;
    padding: 10px 25px;
    background: linear-gradient(#BB2332, #a14951);
    border-radius: 60px;
    text-transform: uppercase;
}

/* Partie image */
.publicite1 .partie-image
{
    width: 40%;
    height: 100%;
}

.publicite1 .partie-image img
{
    width: 100%;
    height: 100%;
    object-fit: cover;               /* Permet à l'image de ne pas être déformée */
    border-radius: 50px;             /* Pour avoir les bords de l'image arrondis */
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);  /* Pour avoir une ombre autour de l'image */
}

.publicite2 .partie-image            /* Répétition de code mais je suis obligé pour le mobile responsive à cause du column-reverse ou column */
{
    width: 40%;
    height: 100%;
}

.publicite2 .partie-image img
{
    width: 100%;
    height: 100%;
    object-fit: cover;               /* Permet à l'image de ne pas être déformée */
    border-radius: 50px;             /* Pour avoir les bords de l'image arrondis */
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);  /* Pour avoir une ombre autour de l'image */
}

/*-----------------------------------------------------------------------Engagement------------------------------------------------------------------- */

.titre
{
    color:#1B3E76;
    font-size: 60px;
    position: relative;
    margin-left: 20px;
    margin-bottom: 30px;
}

.titre::after                         /* Pour avoir le petit rond en dessous des titres (pseudo-élément) */
{
    content: "";
    position: absolute;
    top: 80%;
    z-index: -2;                      /* Priorité */
    left: -30px;                      /* Le décalage se fait par le placement de son parent indiqué position relative */
    height: 30px;
    width: 30px;
    border-radius: 50%;
    background-color: #BB2332;
}

.titre::before                        /* Carré qui va permettre de retirer un morceau du rond (pseudo-élément) */
{
    content:"";
    position: absolute;
    top:40px;
    z-index: -1;                      /* Priorité */
    left: -15px;                      /* Le décalage se fait par le placement de son parent indiqué position relative */
    height: 30px;
    width: 30px;
    background-color:#F7F7F7;
}

.sous-titre
{
    font-size: 20px;
    color:#1B3E76
}

.liste-engagement
{
    margin: 30px 0;                   /* Marge de 30px en haut et en bas des blocs */
    display: flex;                    /* Permet d'aligner les blocs sur une même ligne */
    justify-content: space-between;   /* Répartie l'espace entre les blocs pour qu'il soit égale sur la ligne */
    flex-wrap: wrap;                  /* Réorganisation des blocs sur plusieurs lignes si la fenêtre est réduites */
}

.bloc-engagement
{
    border-radius: 20px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    width: 270px;                      
    padding: 30px;                    /* Ajoute un espace de 30 pixels à l'intérieur de l'élément, entre son contenu et ses bords */ 
    display: flex; 
    align-items: center;              /* Aligne les éléments verticalement */
    flex-direction: column;           /* Place les éléments enfants dans une disposition verticale (en colonne) */
    text-align: justify;              /* Justifie le texte à l'intérieur de l'élément */
 
}

.bloc-engagement img                  /* Les petits logos illustrant les engagements */
{
    width: 100px;
    margin-bottom: 10px;
}


/*-----------------------------------------------------------------------A propos de-------------------------------------------------------------------*/

.liste-informations
{
    display: flex;
    align-items: center;              /* Aligne verticalement */
    margin-bottom: 20px;
}

.liste-informations h1                /* Les chiffres */
{
    font-size: 110px;                
    color:#1B3E76;
}

.liste-informations .description
{
    margin-left: 10px;                /* Pour laisser passer le 1 devant */
}

.liste-informations .description h3   /* Axe des informations */
{
    color:#BB2332;
    margin-bottom: 10px;
    text-transform: uppercase;
}

.liste-informations .description p    /* Description des axes */
{
    font-size: 15px;
    color:#1B3E76;
}


/*-------------------------------------------------------------------------Footer----------------------------------------------------------------------*/

footer                                /* Dernière partie de la page web */
{
    background-color: #1B3E76;
    color: #F7F7F7;
    font-size: 16px;
    padding: 30px 5%;
}

footer a
{
    color: #F7F7F7;
}

footer p
{
    font-size: 14px;
}

.logoBBFFin                            /* Le logo de la banque */
{
    margin-bottom: 40px;
}

.logoBBFFin img
{
    width: 12%;
    height: 12%;
}

.plan                                 /* Aligne les listes horizontalement */
{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;                  /* Réorganisation des blocs sur plusieurs lignes si la fenêtre est réduites */   
}

.plan b
{
    font-size: 23px;
}

.plan li
{
    list-style: none;                  /* On retire les puces */
    margin-top: 8px;
    position: relative; 
}

.plan li:hover 
{
    text-decoration: underline;       /* Ajoute une ligne sous le texte au survol */
    text-decoration-color: #BB2332; /* Couleur de la ligne */
    text-decoration-thickness: 3px;   /* Épaisseur de la ligne */
    text-underline-position: under;   /* Position de la ligne sous le texte */
    text-decoration-skip-ink: none;   /* Option pour éviter la troncation des lettres */
}

.petit-menu
{
    display: none;
}

/* Mobile responsive */
@media (max-width: 750px)
{
    section                              /* Pour les sections dont la hauteur n'est pas calculée (donc pas pour les 2 blocs publicitaires */
    {
        padding: 0 5%;
    }

    header .logoBBF h1
    {
        font-size: 18px;
    }

    header .logoBBF img 
    {
        width: 50px;
        height: 60px;
    }

    .button-link-connexion a             /* Bouton "Espace client" */
    {
        font-size: 12px;
    }

    .publicite1
    {
        flex-direction: column-reverse;  /* Sinon le texte passe par dessus */
        height: fit-content;
    }

    .publicite1 .partie-texte1
    {
        width: 100%;
        margin: 20px 0;                  /* Sinon texte collé à l'image */
    }

    .publicite1 .partie-texte1 h1
    {
        font-size: 40px;
    }

    .publicite1 .partie-texte1 h4
    {
        font-size: 14px;
    }

    .publicite1 .partie-image
    {
        width: 100%;
        height: 350px;
    }

    .publicite1 .partie-image img
    {
        object-position: center 28%;     /* Affiche l'image légèrement plus bas que le haut */
    }
    .publicite2
    {
        flex-direction: column;          /* Sinon le texte passe par dessus */
        height: fit-content;
    }

    .publicite2 .partie-texte2
    {
        width: 100%;
        margin: 20px 0;                  /* Sinon texte collé à l'image */
    }

    .publicite2 .partie-texte2 h1
    {
        font-size: 40px;
    }

    .publicite2 .partie-texte2 h4
    {
        font-size: 14px;
    }

    .publicite2 .partie-image
    {
        width: 100%;
        height: 350px;
    }

    .titre
    {
        font-size: 40px;
    }

    .titre::before
    {
        top:22px;                        /* La position du carré a changé */
    }

    .sous-titre
    {
        font-size: 15px;
    }

    .liste-engagement .bloc-engagement
    {
        width: 100%;
        margin-bottom: 50px;              /* Ajoute un espace entre les blocs des engagements */
    }

    .liste-informations h1
    {
        font-size: 60px;
    }

    .liste-informations .description h3
    {
        font-size: 14px;
    }

    .liste-informations .description p
    {
        font-size: 10px;
    }

    footer
    {
        margin-top: 80px;                 /* Ajoute un espace entre footer et à propos de */
    }

    .logoBBFFin img
    {
        width: 30%;
        height: 30%;
    }

    .plan                                 /* Aligne les listes horizontalement */
    {
        display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center;
    }

    .plan ul
    {
        margin-bottom: 50px;
    }

    
}

/* Responsive pour le menu */
@media (max-width: 1300px)
{
    header .menu
    {
        display: none;
    }

    /* On gère l'appartition du rond */
    .petit-menu
    {
        display: flex;
        width: 25px;
        height: 25px;
        align-items: center;
        justify-content: space-between;
        overflow: hidden;
        border-radius: 50%;
        transition: 0.5s;
    }

    .petit-menu span
    {
        height: 100%;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        transition: 0.5s;
    }

    .petit-menu span div
    {
        height: 11px;
        width: 11px;
        background-color: #BB2332;
        border-radius: 6px;
    }

    /* On gère l'apparation de la croix */
    .petit-menu.croix
    {
        justify-content: center;
        align-items: unset;       /* Réinitialisez la valeur par défaut de l'alignement des éléments enfants du conteneur flex */
    }

    .petit-menu.croix span:nth-child(1)
    {
        display: none;
    }

    .petit-menu.croix span
    {
        display: flex;
        flex-direction: unset;
        height: 100%;
        align-items: center;
        justify-content: center;
        transition: 0.5s;
    }

    .petit-menu.croix span div
    {
        height: 100%;
        width: 3px;
        border-radius: 6px;
        transition: 0.5s;
    }

    .petit-menu.croix span div:nth-child(1)
    {
        transform: rotate(45deg);
    }

    .petit-menu.croix span div:nth-child(2)
    {
        transform: rotate(-45deg);
    }

    /* On gère le menu déroulant */
    header .menu.appui-rond
    {
        display: flex;
        position: absolute;
        top: 95px;                   /* Hauteur du menu déroulant -> évite de couper l'icône ou le lien espace client */
        left: 0;
        background-color:#F7F7F7;
        flex-direction: column;
        width: 100%;
    }

    header .menu.appui-rond li
    {
        margin: 15px 0;
    }

    .liste-engagement .bloc-engagement
    {
        margin-bottom: 15px;
    }
}